unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, StdCtrls;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Exit1: TMenuItem;
    Help1: TMenuItem;
    About1: TMenuItem;
    Register1: TMenuItem;
    Button1: TButton;
    procedure Exit1Click(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure Register1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses UnitReg;

{$R *.dfm}

// -
Function Read_Arm_Var(XENV:PCHAR) : String;
 Var Env_String : ARRAY[0..255] OF CHAR;
 Begin
  try
     Env_String:='';
     If (GetEnvironmentVariable(XENV,@Env_String,255)<>0)
     Then Read_Arm_Var:=Trim(Env_String)
     Else Read_Arm_Var:='';
  except end;
 End;

Function CheckCodeFn(nameFn,codeFn:String) : Boolean;
 type TCheckCode = function(name,code:PChar) : Boolean; StdCall;
 Var Handle : THandle;
     CheckCode : TCheckCode;
 Begin
  try
   CheckCodeFn:=False;
   Handle:=LoadLibrary('ArmAccess.dll'); {  "ArmAccess.DLL"  ".DLL"     ;))) }
   If (Handle<>0) Then
   Begin
     @CheckCode:=GetProcAddress(Handle,'CheckCode');
     If (@Checkcode <> Nil) Then
       CheckCodeFn:=CheckCode(PChar(NameFn),PChar(CodeFn));
     FreeLibrary(Handle);
   End;
  except end;
 End;
// -

procedure TForm1.Exit1Click(Sender: TObject);
begin
 close
end;

procedure TForm1.About1Click(Sender: TObject);
var str,un:string;
begin
try
un:=Read_Arm_Var('ALTUSERNAME');
if ((un<>'')and(un<>'DEFAULT')) then str:=un else str:='UNREGISTERED';
except end;
try
str:=' .'
+#13+''
+#13+'  : '+str+'. '
+#13+''
+#13+': PereZZZ.'+#13+'Email: PereZZZ@mail.ru.'+#13+': http://PereZZZ.narod.ru. '
+#13+''
+#13+'Copyright  2004 by PereZZZ.';
MessageBox(0,PChar(str),'  ',MB_OK+MB_ICONINFORMATION);
except end;
end;

procedure TForm1.Register1Click(Sender: TObject);
begin
try
 RegDlg.Edit3.Text:=Read_Arm_Var('FINGERPRINT');
except end;
try
 if RegDlg.ShowModal=mrOk then
 begin
  if CheckCodeFn(RegDlg.Edit1.Text,RegDlg.Edit2.Text) then begin MessageBox(0,PChar(' !'),' ',MB_OK+MB_ICONINFORMATION); Register1.Visible:=false end else MessageBox(0,PChar('  !'),' ',MB_OK+MB_ICONERROR)
 end;
except end;
end;

procedure TForm1.Button1Click(Sender: TObject);
 var un:string;
begin
try
 un:=Read_Arm_Var('ALTUSERNAME');
 if ((un='')or(un='DEFAULT')) then
  MessageBox(0,PChar('       .'), ' !',MB_OK+MB_ICONERROR)
   else MessageBox(0,PChar('   !'), ' !',MB_OK+MB_ICONINFORMATION);
except end;
end;

end.
